

* {
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
}
:root {
    --mp-red: #A11D21;
    --mp-green: #03543E;
}
a {
    font-weight: bold;
}
.bg-mp-red {
    background-color: #A11D21;
    background-image: url(../images/mp-light.png);
    background-repeat: no-repeat;
    color: white;
}
.bg-mp-green {
    background-color: #03543E;
    background-image: url(../images/mp-light.png);
    background-repeat: no-repeat;
}
.bg-light-gray {
    background-color: #f3f2f2;

}
.bg-mp-red h1, .bg-mp-green h1 {
    text-align: center;
}
.text-mp-red {
    color: #A11D21;
}
.text-mp-green {
    color: #03543E;
}
h2.text-mp-red,h2.text-mp-green {
    font-weight: bold;
}
.text-white {
    color: white;
}
#header-main {
    height: 100px;
}
#header-main #logo {
    height: 50px;
}
.navbar {
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
}
#header-main li a {
    font-weight: 600;
}
#header-main nav {
    min-height: 100px;
}
#header-main nav ul li a:hover {
    color: #03543E !important;
}
#header-main li {    
    border-bottom: 1px solid rgba(0,0,0,0.1);
}
footer {
    padding: 20px 0;
    min-height: 200px;
    display: grid;
    grid-template-columns: 1fr;
    color: rgb(193, 250, 217);
}
footer h4 {
    font-size: 1em;
    color: rgb(237, 247, 241);
}
footer ul {
    padding: 0;
}
footer li {
    list-style: none;
    padding: 0;
}
footer a {
    text-decoration: none;
    color: rgb(193, 250, 217);
    font-weight: 400;
}
footer a:hover {
    color: white;
}
.card-original h3 {
    position: absolute;
    top: 1px;
    width: 100%;
    padding: 10px 0px;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.6);
    color: white;
}
.card-original {
    overflow: hidden;
}
.card-original img {
    width: 400px;
    height: 200px;
}
.card-original h3 {
    font-size: 1.2rem;
}
.card2 {
    border: 1px solid #ccc;
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    background-color: white;
    position: relative;
}
.card2 div {
    padding: 10px;
}
.card2 button {
    position: absolute;
    bottom: 0px;
}
.card2 img {
    width: 100%;
    height: 120px;
    object-fit: cover;
    clip-path: polygon(0 0, 100% 0, 100% 93%, 0 100%);
}
.card2 h3 {
    text-align: center;
    margin-top: -10px;
    font-size: 1.3rem;
}
.card3 {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    background-color: #A11D21 !important;
    color: white;
}
.card3 img {
    object-fit: cover;
}
.card3 .text-overlay {
    position: absolute;
    bottom: 0;
    width: 100%;
    background: rgba(0, 0, 0, 0.0);
    color: white;
    text-align: center;
}
.card3 a {
  color: white;
  text-decoration: none;
  font-weight: 700;
}
.card3 button {
    padding: 5px;
}
.grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 15px;
}
.stores div img {
    width: 100%;
}
.features {
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
}
.features > div {
    background-color: white;
    border-radius: 5px;
    border: 1px solid #cac8c8;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    text-align: center;
    overflow:hidden;
}
.features div img, .features div div img {
    object-fit: cover;
}
.features div p {
    padding: 0px 20px;
    text-align: left;
    font-size: 1.2em;
    font-weight: 500;
}
.features div h3 {
    display: block;
    background-color: #A11D21;
    color: white;
    padding: 5px;
    text-align: center;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}
.features ul {
    padding-top: 50px;
    margin: 0;
    text-align: left;
}
.saving-zone {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
}
.saving-zone img {
    width: 200px;
}
.rotating-banner {
    width: 100%;
    background-color: black;
    overflow: hidden;
    color: white;
    box-shadow: 0 4px 8px rgba(0,0,0,0.4);
    border-radius: 5px;
}
.rotating-banner .frame {
    display: none;
    position: relative;
}
.rotating-banner .frame img {
    object-fit: cover;
    width: 100%;
}
.rotating-banner .frame p {
    background-color: rgba(0,0,0,0.6);
    padding: 5px;
    margin: 0;
    position: absolute;
    bottom: 0px;
    width: 100%;
    text-align: center;
    font-size: 1.1rem;
    font-weight: 500;
}
.rotating-banner .caribou-link {
    background-color: #69c8de;
    text-decoration: none;
    color: black;
    font-size: .8rem;
    font-weight: 600;
    padding: 3px;
    border-radius: 5px;
}
.rotating-banner .active {
    display: block;
}
.hide {
    display: none;
}
.container {
    position: relative;
}
.container .featurette-heading {
    margin-top: 3rem;
}
.container-fluid {
    padding: 10px 0px;
}
.ad-img {
    width: 100%;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    margin-bottom: 20px;
}
.flex {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
button {
    padding: 8px;
    border-radius: 5px;
    margin: 10px 10px 0 0;
    font-size: 1rem;
    color: white;
    font-weight: 500;
    background-color: var(--mp-green);
}
button a {
    text-decoration: none;
    color: white;
}
button:hover {
    background-color: #04805f;
}
.text-end button {
    margin-right: 0px;
    margin-left: 10px;
}
#btn-view-ad {
    position: absolute;
    left: 50%;
    bottom: -15px;
    transform: translateX(-50%);
    z-index: 100;
}
#btn-view-ad button {
    font-size: .8rem;
    padding: 2px;
    border: 1px solid rgb(161, 161, 161);
}
.center {
    text-align: center;
}
.img-row {
    margin: 20px auto;
}
.features .store-hours p {
    text-align: center;
    font-size: 1rem;
    line-height: .8rem;
}
.store_page {
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
    text-align: center;
}
.store_page p {
    margin: 0;
}
.copyright {
    grid-column: 1 / span 1;
  }
.price {
    color: red;
}
/* Medium devices (tablets, 768px and up) */
@media (min-width: 800px) {
    #header-main .navbar {
        height: 100px;
        background-color: white;
    }
    #header-main .navbar ul li {
        margin-left: 5px;
        font-size: 1.15em;
        border: 0;
    }
    .card h3 {
        font-size: 1.6rem;
    }
    .card2 img {
        height: 200px;
    }
    .card2 h3 {        
        font-size: 1.4rem;
    }
    .grid {
        grid-template-columns: 1fr;
    }
    .rotating-banner .frame p {
        padding: 10px;
        font-size: 1.3rem;
    }
    .rotating-banner .caribou-link {
        display: inline;
        font-size: 1rem;
    }
    #btn-view-ad button {
        font-size: .9rem;
        padding: 3px;
    }
    footer {
        grid-template-columns: 1fr 1fr;
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 1000px) {
    .container {
        max-width: 1200px;
    }
    #header-main #logo {
        height: 60px;
    }
    #header-main .navbar ul li {
        font-size: 1.3em;
    }
    .features {
        grid-template-columns: 1fr 1fr;
    }
    .grid {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
    .card2 h3 {        
        font-size: 1.6rem;
    }
    .rotating-banner .frame p {        
        font-size: 1.6rem;
        padding: 20px;
    }
    .rotating-banner .caribou-link {
        font-size: 1.2rem;
    }
    #btn-view-ad button {
        font-size: 1rem;
        padding: 5px;
    }
    .store_page {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
    footer {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

  
  /* Dark mode styles */
  @media (prefers-color-scheme: dark) {
    * {
        border-color: #a7a6a6 !important;
    }
    body, .card2, .features div, .recipe div {
      background-color: black;
      color: white;
    }
    .bg-light-gray {
        background-color: #2c2c2c;
    }
    /* Make text brighter */
    p, h1, h2, h3, h4, h5, h6 {
      color: #dddddd !important; /* Brighter white for better readability */
    }
  
    /* Adjust other elements as needed */
    a {
      color: #1e90ff; /* Bright blue for links */
    }
  
    /* Optional: Add a slight shadow to text for better contrast */
    p, h1, h2, h3, h4, h5, h6 {
      text-shadow: 0 0 2px rgba(255, 255, 255, 0.5);
    }
    .features h3, .features h4, .features p, .card2 h3, .card2 p {
        color: black;
    }
    #header-main li ul li a {
        color:rgb(161, 161, 161) !important;
    }
    #header-main li ul li a:hover {
        color:rgb(255, 255, 255) !important;
    }
    .navbar-toggler-icon {
    background-image: url("data:image/svg+xml;charset=UTF8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(0, 0, 0, 0.5)' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
    /* Change the icon color */
    }
    .features h3, .bg-mp-red h1, .bg-mp-green h1 {
        color: #dddddd !important;
    }
  }
  